Subject: Re: [PATCHv3 1/3] git-p4: add failing test for P4EDITOR handling

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 May 2015 13:56:27 -0700

Junio C Hamano <[email-masked]> writes:

> Luke Diamand <[email-masked]> writes:
>
>> +
>> +test_expect_failure 'EDITOR has options' '
>> +# Check that the P4EDITOR argument can be given command-line
>> +# options, which git-p4 will then pass through to the shell.
>> +test_expect_success 'EDITOR has options' '
>> +	git p4 clone --dest="$git" //depot &&
>
> Oops?  I assume that the one before the comment should go and this
> one is
>
> 	test_expect_failure 'Editor with an option' '
>
> or something.

I'll queue the three patches, each of them followed with its own
SQUASH commit.  Could you sanity check them?  If everything looks OK
then I'll just squash them and that way we can save back-and-forth.

Thanks.